
Katello - Bug #6488

roles: auto search should be enabled for all katello related resource types.

07/03/2014 01:04 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112112 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/438
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1112112

Description of problem:

I was trying to add permissions under a selected role. When I choose 'medium' resource type and unchecked the 'Unlimited'

checkbox to search n select specific resource then auto search was active (see screenshot)

However when I tried to select "LifeCycle Environment" then auto search was not enabled.

I tried other resource types like Domain and environment and auto search was enabled for these as well. However I didn't see this for

any of katello related resource type.

Version-Release number of selected component (if applicable):

sat6 beta snap10 compose2

How reproducible:

always

Steps to Reproduce:

1. create a role

2. Add permissions to role

3. select "LifeCycle environment, activation keys

Actual results:

auto search not enabled for katello related resource types. However it is enabled for foreman resources like domain, environment,

medium etc.

Expected results:

behaviour should be same for both foreman and katello resources. So expecting same auto search for katello related resources.

Additional info:

Related issues:

Related to Katello - Tracker #4638: Scoped Search Conversion Resolved 03/12/2014

Has duplicate Katello - Bug #6435: Search on filter page for filtering resour... Duplicate 06/30/2014

Associated revisions

Revision ec74eaff - 09/10/2014 04:11 AM - Stephen Benjamin

fixes #6488 enable autosearch completion on Katello model filters

Revision 09d306eb - 09/11/2014 08:52 AM - Stephen Benjamin

Merge pull request #4385 from stbenjam/autocomplete

fixes #6488 - enable autosearch completion on Katello model filters
History

#1 - 07/03/2014 01:05 PM - Stephen Benjamin

- Related to Bug #6435: Search on filter page for filtering resources raises NetworkError 404 not found added

#2 - 07/03/2014 01:05 PM - Stephen Benjamin

- Related to deleted (Bug #6435: Search on filter page for filtering resources raises NetworkError 404 not found)

#3 - 07/03/2014 01:05 PM - Stephen Benjamin

- Has duplicate Bug #6435: Search on filter page for filtering resources raises NetworkError 404 not found added

#4 - 07/03/2014 01:08 PM - Stephen Benjamin

- Status changed from New to Ready For Testing

PR https://github.com/Katello/katello/pull/4385

#5 - 07/07/2014 11:20 AM - Eric Helms

- Category set to Web UI

- Assignee set to Stephen Benjamin

- Target version set to 49

- Difficulty set to medium

- Triaged changed from No to Yes

#6 - 07/11/2014 05:17 AM - Stephen Benjamin

- Related to Tracker #4638: Scoped Search Conversion added

#7 - 07/14/2014 10:43 AM - Eric Helms

- Pull request https://github.com/Katello/katello/pull/4385 added

#8 - 07/28/2014 08:44 AM - Eric Helms

- Target version changed from 49 to 54

#9 - 08/18/2014 08:31 AM - Eric Helms

- Target version changed from 54 to 55

#10 - 09/08/2014 08:11 AM - Eric Helms

- Target version changed from 55 to 56

#11 - 09/11/2014 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|ec74eaff2ce30d02c75e5e90db1fb9daa054725b.

#12 - 09/15/2014 02:19 PM - Eric Helms

- translation missing: en.field_release set to 13
